Technology Insights

Dell OMSA Repo Install Error On CentOS: Command line error: no such option: –disableplugin

I wrote another article recently about an issue when attempting to install the srvadmin-all RPM package provided by the Dell OMSA repository. It is likely that when you are installing the OMSA repository that you will receive an error on CentOS and possibly on other versions of Linux. The yum OMSA repository is installed via a file available from Dell called bootstrap.cgi. Below I describe the issue when installing the OMSA repository and provide a couple methods to resolve the problem.

Technology Errors

Error: failure: srvadmin-meta/srvadmin-all-6.2.0-1.5.el5.i386.rpm from dell-omsa-specific: [Errno 256] No more mirrors to try.

I installed some packages today for a client that uses a third party collocation provider to manage the hardware aspects of their servers. We handle all of the software installations and day to day management of the servers but this other company replaces hard drives and any other hardware that is necessary. Anyhow the third party collocation provider noticed one of the hard drives in a server with RAID 5 had gone down so today they did some troubleshooting and then requested that we install some software so they could manage the hardware in real time in the future. The software they wanted us to install were all OpenManage Server Administrator packages provided from a Dell repository called the Dell OMSA Repository. I ran into a couple minor issues along the way including the error noted below.